Skip to main content
`Ctrl`+`K`

# example.hpp File Reference

2026-01-04

2 min read time

ROCm Docs Core Demo Doxygen Docs: example.hpp File Reference
Classes | Namespaces | Enumerations | Functions
example.hpp File Reference

Example doxygen header. More...

`#include "example1.hpp"`
Include dependency graph for example.hpp:

Go to the source code of this file.

## Classes

class | example::Example
| Example class. More...
class | example::Example2
| Example class 2 to showcase class hierarchies. More...
struct | struct_in_group_1
| A struct. More...

## Namespaces

namespace | example
| A namespace.

## Enumerations

enum | Enum { Value1 = 1 , Value2 = 17 , Undocumented }
| An enumeration. More...

## Functions

template<typename T>
void | example::template_fun (T a)
| Example of a template function.
void | freestanding_function ()
| A function in the global scope.

## Detailed Description

Example doxygen header.

Author
  Jon Doe (jon@e.nosp@m.xamp.nosp@m.le.co.nosp@m.m)

Version
  0.1

Date
  2023-03-23

Copyright
  Copyright (c) 2023 Advanced Micro Devices Inc.